<template>
  <view class="content">
    <view class="search card">
      <u--input
          prefixIcon="search"
          placeholder="请输入关键字"
          border="surround"
          v-model="NAME"
          clearable
          shape="circle"
      ></u--input>
      <view class="bth-mini ml-10">
        <u-button type="success" text="确定" @click="resetList"></u-button>
      </view>
    </view>
    <u-list @scrolltolower="scrolltolower" v-if="list.length > 0">
      <u-list-item v-for="(item, index) in list" :key="index">
        <view>
          <view class="flex-between main-title">
            <text>{{ item.NAME }}</text>
          </view>
          <view class="flex-between mt-10 subtitle">
            <text>部门级别：{{ item.DEPTLEVEL }}</text>
            <text>部门：{{ item.DEPTNAME }}</text>
          </view>
          <view class="flex-between mt-10 subtitle">
            <text>岗位：{{ item.POSTNAME }}</text>
            <text>用户名：{{ item.username }}</text>
          </view>
          <view class="flex-between mt-10 subtitle">
            <text>是否确认人：{{ item.isHazardconfirmer === 0 ? '否' : '是'}}  </text>
            <text>姓名：{{ item.name }}</text>
          </view>
          <view class="flex-end mt-10 see_btn">
            <u-button type="primary" text="查看" size="mini"
                      @click="fnNavigatorDetail(item.user_id)"></u-button>
          </view>
        </view>
      </u-list-item>
    </u-list>
    <empty v-else></empty>
  </view>
</template>

<script>
import {getCorpInfoListFindByCorpInfo} from "../../../api";

export default {
  data() {
    return {
      NAME: '',
      pageSize: 10,
      currentPage: 1,
      totalPage: 0,
      list: [],
      CORPINFO_ID: ''
    }
  },
  computed: {
    userInfo() {
      return this.$store.getters.getUserInfo
    }
  },
  onLoad(event) {
    this.CORPINFO_ID = event.CORPINFO_ID
    this.resetList()
  },
  methods: {
    async getData() {
      let resData = await getCorpInfoListFindByCorpInfo({
        USER_ID: this.userInfo.USER_ID,
        CORPINFO_ID: this.CORPINFO_ID,
        NAME: this.NAME,
        showCount: this.pageSize,
        currentPage: this.currentPage,
      });
      this.list = [...this.list, ...resData.userList];
      this.totalPage = resData.page.totalPage;
    },
    resetList() {
      this.pageSize = 10
      this.currentPage = 1
      this.list = []
      this.getData()
    },
    fnNavigatorDetail(USER_ID) {
		console.log(USER_ID)
      uni.$u.route({
        url: '/pages/branch-information-management/branch-staff/detail',
        params: {
          USER_ID,
        }
      })
    },
    scrolltolower() {
      this.currentPage++;
      if (this.totalPage >= this.currentPage) this.getData();
    },
  }
}
</script>
<style scoped lang="scss">
.search {
  display: flex;

  .ml-10 {
    margin-left: 10rpx;
  }

  .bth-mini {
    width: 100rpx;
  }

}

.see_btn {
  width: 100rpx;
  float: right;
}

</style>
